# Author : David L. Johnson <dlj0@lehigh.edu>
# Probably broken by Jean-Marc Lasgouttes <Jean-Marc.Lasgouttes@inria.fr>
# modified and modularized by Emmanuel GUREGHIAN <gureghia@boston.bertin.fr>

# These are only the theorems styles environnements
# The environnements defined are :
# - Theorem
# - Corollary
# - Lemma
# - Proposition
# - Conjecture
# - Criterion
# - Algorithm
# - Fact 
# - Axiom
# - Definition
# - Example
# - Condition
# - Problem
# - Exercise
# - Remark
# - Claim
# - Note
# - Notation
# - Summary
# - Acknowledgement
# - Case
# - Conclusion


# Theorem-numbered style declaration
Style Theorem
  Preamble
    \theoremstyle{plain}    
    \newtheorem{thm}{Theorem} 
  EndPreamble
End  

# Corollary-numbered style declaration
Style Corollary
  Preamble
    \theoremstyle{plain}    
    \newtheorem{cor}{Corollary} 
  EndPreamble
End  

# Lemma-numbered style declaration
Style Lemma
  Preamble
    \theoremstyle{plain}    
    \newtheorem{lem}{Lemma} 
  EndPreamble
End  

# Proposition-numbered style declaration
Style Proposition
  Preamble
    \theoremstyle{plain}    
    \newtheorem{prop}{Proposition} 
  EndPreamble
End  

# Conjecture-numbered style declaration
Style Conjecture
  Preamble
    \theoremstyle{plain}    
    \newtheorem{conjecture}{Conjecture} 
  EndPreamble
End  

# Criterion-numbered style declaration
Style Criterion
  Preamble
    \theoremstyle{plain}    
    \newtheorem{criterion}{Criterion} 
  EndPreamble
End  

# Algorithm-numbered style declaration
Style Algorithm
  Preamble
    \theoremstyle{plain}    
    \newtheorem{algorithm}{Algorithm} 
  EndPreamble
End  

# Fact-numbered style declaration
Style Fact
  Preamble
    \theoremstyle{plain}    
    \newtheorem{fact}{Fact}
  EndPreamble
End  

# Axiom-numbered style declaration
Style Axiom
  Preamble
    \theoremstyle{plain}    
    \newtheorem{ax}{Axiom}
  EndPreamble
End  

# Definition-numbered style declaration
Style Definition
  Preamble
   \theoremstyle{definition}
   \newtheorem{defn}{Definition}
  EndPreamble
End  

# Example-numbered style declaration
Style Example
  Preamble
   \theoremstyle{definition}
    \newtheorem{example}{Example}
  EndPreamble
End  

# Condition-numbered style declaration
Style Condition
  Preamble
   \theoremstyle{definition}
    \newtheorem{condition}{Condition}
  EndPreamble
End  

# Problem-numbered style declaration
Style Problem
  Preamble
   \theoremstyle{definition}
    \newtheorem{problem}{Problem}
  EndPreamble
End  

# Exercise-numbered style declaration
Style Exercise
  Preamble
   \theoremstyle{definition}
    \newtheorem{xca}{Exercise}
  EndPreamble
End  

# Remark-numbered style declaration
Style Remark
  Preamble
    \theoremstyle{remark}
    \newtheorem{rem}{Remark}
  EndPreamble
End  

# Claim-numbered style declaration
Style Claim
  Preamble
    \theoremstyle{remark}    
    \newtheorem{claim}{Claim}
  EndPreamble
End  

# Note-numbered style declaration
Style Note
  Preamble
    \theoremstyle{remark}    
    \newtheorem{note}{Note}
  EndPreamble
End  

# Notation-numbered style declaration
Style Notation
  Preamble
    \theoremstyle{remark}    
    \newtheorem{notation}{Notation}
  EndPreamble
End  

# Summary-numbered style declaration
Style Summary
  Preamble
    \theoremstyle{remark}    
    \newtheorem{summary}{Summary}
  EndPreamble
End  

# Acknowledgement-numbered style declaration
Style Acknowledgement
  Preamble
    \theoremstyle{remark}    
    \newtheorem{acknowledgement}{Acknowledgement}
  EndPreamble
End  

# Case-numbered style declaration
Style Case
  Preamble
    \theoremstyle{remark}    
    \newtheorem{case}{Case}
  EndPreamble
End  

# Conclusion-numbered style declaration
Style Conclusion
  Preamble
    \theoremstyle{remark}    
    \newtheorem{conclusion}{Conclusion}
  EndPreamble
End  


 

